The API key

Who you are, what your key may do, and the company it belongs to.

Check your key

GET/api/v1

Who the key belongs to, its permissions and when it expires. A good first call.

PermissionAny valid key
Publishable keyWorks with one, from your allowed web addresses
Request
curl "https://eos.aveoevents.com/api/v1" \
  -H "Authorization: Bearer $EOS_API_KEY"
200 response
{
  "object": "api_key",
  "livemode": true,
  "kind": "secret",
  "name": "Website",
  "scopes": [
    "events:read",
    "checkout:write"
  ],
  "expires_at": null,
  "rate_per_minute": 120,
  "company": {
    "id": 12,
    "slug": "acme-events",
    "name": "Acme Events"
  }
}

Get the company

GET/api/v1/company

The company's name, shop address, currency and contact details.

Permissioncompany:read (Read the company profile)
Publishable keyWorks with one, from your allowed web addresses
Request
curl "https://eos.aveoevents.com/api/v1/company" \
  -H "Authorization: Bearer $EOS_API_KEY"
200 response
{
  "object": "company",
  "id": 12,
  "slug": "acme-events",
  "name": "Acme Events",
  "shop_url": "https://eos.aveoevents.com/acme-events",
  "currency": "GBP",
  "timezone": "Europe/London",
  "contact": {
    "email": "hello@example.com",
    "phone": null,
    "website": "https://example.com"
  },
  "card_payments": true,
  "livemode": true
}

Every field of the response: the company object.